Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812385 - New package: validations-libs
Summary: New package: validations-libs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: Milestone1
: trunk
Assignee: Yatin Karel
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-USSURI 1812573
TreeView+ depends on / blocked
 
Reported: 2020-03-11 08:26 UTC by Cédric Jeanneret
Modified: 2020-07-31 14:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-31 14:56:31 UTC
ykarel: rdo-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 25818 0 None None None 2020-03-11 08:53:26 UTC

Description Cédric Jeanneret 2020-03-11 08:26:07 UTC
Hello there,

validations-libs package is part of the Validation Framework. It will contain main python libraries and helpers.

Upstream code repository, under Openstack/Tripleo umbrella:
https://review.opendev.org/#/admin/projects/openstack/validations-libs

The licence is Apache 2.0.

Thank you!

Comment 1 Cédric Jeanneret 2020-03-11 08:39:06 UTC
More precisely, the upstream is here: https://opendev.org/openstack/validations-libs

Comment 2 Alfredo Moralejo 2020-03-11 14:42:40 UTC
$ licensecheck -r  .
./.coveragerc: *No copyright* UNKNOWN
./.pre-commit-config.yaml: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache License (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* UNKNOWN
./bindep.txt: *No copyright* UNKNOWN
./lower-constraints.txt: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache License
./setup.py: Apache License (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./validations_libs/ansible.py: Apache License (v2.0)
./validations_libs/constants.py: Apache License (v2.0)
./validations_libs/list.py: Apache License (v2.0)
./validations_libs/run.py: Apache License (v2.0)
./validations_libs/utils.py: Apache License (v2.0)
./validations_libs/tests/fakes.py: Apache License (v2.0)
./validations_libs/tests/test_ansible.py: Apache License (v2.0)
./validations_libs/tests/test_validations_list.py: Apache License (v2.0)
./validations_libs/tests/test_validations_run.py: Apache License (v2.0)


License is fine ASL 2.0

Comment 3 Yatin Karel 2020-03-17 09:38:11 UTC
Fedora review:-

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Following issues are detected but can be ignore for RDO packages:-
- changelog is handled by DLRN
- Usage of %define, needed for DLRN
- Sourc0 is handled by DLRN



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "*No copyright* Apache License", "Apache License (v2.0)". 20 files
     have unknown license. Detailed output of licensecheck in /tmp/python-
     validations-libs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev33
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-validations-libs-0.0.1-0.20200317081019.f3e8fbe.fc28.noarch.rpm
          python-validations-libs-0.0.1-0.20200317081019.f3e8fbe.fc28.src.rpm
python3-validations-libs.noarch: E: no-changelogname-tag
python3-validations-libs.noarch: E: zero-length /usr/lib/python3.6/site-packages/validations_libs/show.py
python-validations-libs.src: E: no-changelogname-tag
python-validations-libs.src: W: invalid-url Source0: validations-libs-0.0.1.dev33-0.20200317081019.f3e8fbe.tar.gz
2 packages and 0 specfiles checked; 3 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python3-validations-libs.noarch: E: no-changelogname-tag
python3-validations-libs.noarch: W: invalid-url URL: https://opendev.org/openstack/validations-libs <urlopen error [Errno -2] Name or service not known>
python3-validations-libs.noarch: E: zero-length /usr/lib/python3.6/site-packages/validations_libs/show.py
1 packages and 0 specfiles checked; 2 errors, 1 warnings.



Requires
--------
python3-validations-libs (rpmlib, GLIBC filtered):
    python(abi)
    python3-PyYAML
    python3-ansible-runner
    python3-pbr
    python3-six



Provides
--------
python3-validations-libs:
    python3-validations-libs
    python3.6dist(validations-libs)
    python3dist(validations-libs)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review --rpm-spec -v -m fedora-28-x86_64 -n python-validations-libs-0.0.1-0.20200317081019.f3e8fbe.el8.src.rpm
Buildroot used: fedora-28-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: PHP, Haskell, Perl, C/C++, SugarActivity, Ocaml, fonts, Java, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH


Package is Approved.

Comment 4 Yatin Karel 2020-07-31 14:56:31 UTC
validations-lib is available since train, closing it.


Note You need to log in before you can comment on or make changes to this bug.